clang 8.0.0

Public Member Functions | List of all members
clang::Sema::ExtParameterInfoBuilder Class Reference

A helper class for building up ExtParameterInfos. More...

`#include "clang/Sema/Sema.h"`

## Public Member Functions
void | set (unsigned index, FunctionProtoType::ExtParameterInfo info)
| Set the ExtParameterInfo for the parameter at the given index,. More...
const FunctionProtoType::ExtParameterInfo * | getPointerOrNull (unsigned numParams)
| Return a pointer (suitable for setting in an ExtProtoInfo) to the ExtParameterInfo array we've built up. More...

## Detailed Description

A helper class for building up ExtParameterInfos.

Definition at line 7725 of file Sema.h.

## Member Function Documentation

## ◆ getPointerOrNull()

const FunctionProtoType::ExtParameterInfo* clang::Sema::ExtParameterInfoBuilder::getPointerOrNull | ( | unsigned | numParams | ) |
| inline

Return a pointer (suitable for setting in an ExtProtoInfo) to the ExtParameterInfo array we've built up.

Definition at line 7744 of file Sema.h.

Referenced by clang::TreeTransform< Derived >::TransformFunctionProtoType().

## ◆ set()

void clang::Sema::ExtParameterInfoBuilder::set | ( | unsigned | index,
|  | FunctionProtoType::ExtParameterInfo | info
| ) |  |
| inline

Set the ExtParameterInfo for the parameter at the given index,.

Definition at line 7732 of file Sema.h.

Referenced by clang::TreeTransform< Derived >::TransformFunctionTypeParams().

The documentation for this class was generated from the following file:

- include/clang/Sema/Sema.h